import React, {Component, Fragment} from 'react';
import {withRouter} from "react-router-dom";
import {Button} from "antd";
import { get } from "../../service/Global";
import './ItemAppInfo.scss'

@withRouter
export default class ItemAppInfo extends Component {
  constructor(props) {
    super(props)
    this.state = {
      a: '',
    }
  }
  componentWillMount() {
    this.setState({
      a: get('readonly')
    })
  }
  eidtApp = (id) => {
    console.log(id);
    this.props.history.push({
      pathname:'/app/edit',
      state:{
        appid:id,
      },
    })
  };

  render() {
    console.log(this.props.app_info);
    return (
      <Fragment>
        <div className="app-info-group">
          <img src={this.props.app_info.icon ? this.props.app_info.icon : null} alt={this.props.app_info.name}/>
          <div className="app-text ctm-left">
            <p className="name">{this.props.app_info.name}</p>
            <ul>
              <li>运营平台：<span>{this.props.app_info.operator_name}</span></li>
              <li>官网：<span>{this.props.app_info.website}</span></li>
              <li>H5应用地址：<span>{this.props.app_info.website_h5}</span></li>
              {
                this.props.app_info.platform_name ?
                <Fragment>
                  <li>应用平台：<span>{this.props.app_info.platform_name}</span></li>
                  <li>应用ID：<span>{this.props.app_info.appid}</span></li>
                </Fragment>
                  :
                  null
              }
            </ul>
          </div>
          {
            this.props.app_info.platform_name ?
              null
              :
              <div className="btn-edit ctm-right">
                <Button type="normal" onClick={() => this.eidtApp(this.props.app_info.id)} disabled={this.state.a == 1 ? true : false}>编辑</Button>
              </div>
          }
        </div>
      </Fragment>
    )
  }
}
