import React, { PureComponent } from "react";
import { Layout, Menu, Dropdown, Icon, Select, Form } from "antd";
import {get, getObj, set} from "../../../../service/Global";
import HttpClient from "../../../../service/HttpClient";
import Api from "../../../../service/Api";
import {hasIt} from "../../../../service/utils";
const { Header } = Layout;
@Form.create()
export default class Headers extends PureComponent {
  state = {
    loginInfo: { ...getObj("login_info") },
    projectList:[],
    projectId:''
  };

  getMenu = () => {
    if (!this.state.loginInfo) {
      return "";
    } else {
      return (
        <Menu>
            <Menu.Item key="1">
              <a rel="noopener noreferrer" href="/#/account/change_password">
                修改密码
              </a>
            </Menu.Item>
            <Menu.Item key="2">
              <a rel="noopener noreferrer"  onClick={this.Logout}>
                退出登录
              </a>
            </Menu.Item>
        </Menu>
      );
    }
  };
Logout=()=>{
 
 return  HttpClient.post(Api.logout).then(data => {
    if(data){
      this.props.history.push({
        pathname:'/login'
      })
    }
  })
}
  // getProjectIds(params) {
  //   HttpClient.get(Api.projects, params).then(data => {
  //     if(data && data.data.length > 0){
  //       set('project_id', data.data[0].id);
  //       this.props.projectIdChange(data.data[0].id);
  //       this.setState({
  //         projectList: data.data,
  //       });
  //     }
  //   });
  // }

  componentDidMount() {
   // this.getProjectIds({page_size:9999});
  }

  render() {
    const { getFieldDecorator } = this.props.form;
    return (
      <Header style={{  padding: "0 40px" }} className="ctm-clearfix">
        
        <div className="ctm-right">
          <Dropdown overlay={this.getMenu}>
            <a className="ant-dropdown-link" style={{ color: "#fff" }}>
              <span className="mr-12">Hi! {this.state.loginInfo.name}</span>
              <Icon type="down" />
            </a>
          </Dropdown>
        </div>
      </Header>
    );
  }
}
