import server from './ApiInterceptors';
const HttpClient = {
  get(url,params){
    return server({
      url: url,
      method: 'get',
      dataType: "json",
      contentType: "application/x-www-form-urlencoded;charset=UTF-8",
      params: params,
    })
  },
  post(url,data){
    return server({
      url: url,
      method: 'post',
      dataType: "json",
      contentType: "application/x-www-form-urlencoded;charset=UTF-8",
      data: data,
    })
  },
  put(url,data){
    return server({
      url: url,
      method: 'put',
      dataType: "json",
      contentType: "application/x-www-form-urlencoded;charset=UTF-8",
      data: data,
    })
  },
  delete(url,params){
    return server({
      url: url,
      method: 'delete',
      dataType: "json",
      contentType: "application/x-www-form-urlencoded;charset=UTF-8",
      data: params,
    })
  },
};
export default HttpClient;

