import Api from './Api'
import HttpClient from './HttpClient'
const Service =  {
  getAppList : async data =>{
    return await HttpClient.post(Api.crm_app_list,data)
  },
  updateUsername : async data =>{
    return await HttpClient.post(Api.crm_update_username,data)
  },
  updateMobile : async data => {
    return await HttpClient.post(Api.crm_update_mobile,data)
  },
  updateStatus : async data => {
    return await HttpClient.post(Api.crm_update_status,data)
  },
  updatePwd : async data => {
    return  await  HttpClient.post(Api.crm_update_pwd,data)
  },
  removeMobileBd : async data => {
    return  await  HttpClient.post(Api.crm_user_un_bd_mobile,data)
  },
  removeEmailBd : async data => {
    return  await  HttpClient.post(Api.crm_user_un_bd_email,data)
  },
  removeThirdAccountBd : async data => {
    return  await  HttpClient.post(Api.crm_user_un_bd_third_account,data)
  },
};
export default Service
