import moment from 'moment'
export function hasIt(regex, target) {
  let rule =  new RegExp(regex);
  return rule.test(target);
}
export function buildReq(data,keyArr) {
  const arr=[];
  const result = [];
  const getRegex=(ruleKey)=>{
    let rule = new RegExp(ruleKey);
    Object.keys(data).forEach(function(key){
      if(rule.test(key)){
        let index = key.replace(ruleKey,'');
        let obj = {};
        obj[ruleKey] = data[key];
        arr[index] = Object.assign({},arr[index],obj);
      }
    });
  };
  keyArr.map((item,i)=>{
    getRegex(item);
  });
  arr.map((item,i)=>{
    if(item){
      result.push(item);
    }
  });
  return result;
}
export function getPattern(index) {
  const list = {
    intel_mobile:/\+(9[976]\d|8[987530]\d|6[987]\d|5[90]\d|42\d|3[875]\d|2[98654321]\d|9[8543210]|8[6421]|6[6543210]|5[87654321]|4[987654310]|3[9643210]|2[70]|7|1)+\-(\d{1,14})$/,
    email:/^([A-Za-z0-9_\-\.\u4e00-\u9fa5])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,8})$/,
  };
  return new RegExp(list[index]);
}
export function dateFormat(date) {
  const dateParams = new Date(parseInt(date) * 1000);
  return moment(dateParams).format('YYYY-MM-DD HH:mm:ss');
}

export function parseParams(uri, params){
  const paramsArray = [];
  Object.keys(params).forEach(key => params[key] && paramsArray.push(`${key}=${params[key]}`));
  if (uri.search(/\?/) === -1) {
    uri += `?${paramsArray.join('&')}`
  } else {
    uri += `&${paramsArray.join('&')}`
  }
  return uri
}

export function toPercent(point) {
  var str=Number(point*100).toFixed(2);
  str+="%";
  return str;
}
